Intermittent mozbuild.configure.options.InvalidOptionError: --with-ccache is not available in this configuration

RESOLVED INCOMPLETE

Status

()

Core
Build Config
RESOLVED INCOMPLETE
a year ago
8 months ago

People

(Reporter: Treeherder Bug Filer, Unassigned)

Tracking

({bulk-close-intermittents})

Firefox Tracking Flags

(Not tracked)

Details

This is actually happening for builds on OS X via Taskcluster.

Here the traceback:

 [task 2016-11-08T12:45:41.081262Z] 12:45:41     INFO -  Traceback (most recent call last):

 [task 2016-11-08T12:45:41.081473Z] 12:45:41     INFO -    File "/home/worker/workspace/build/src/configure.py", line 107, in <module>

 [task 2016-11-08T12:45:41.081691Z] 12:45:41     INFO -      sys.exit(main(sys.argv))

 [task 2016-11-08T12:45:41.081909Z] 12:45:41     INFO -    File "/home/worker/workspace/build/src/configure.py", line 26, in main

 [task 2016-11-08T12:45:41.082133Z] 12:45:41     INFO -      sandbox.run(os.path.join(os.path.dirname(__file__), 'moz.configure'))

 [task 2016-11-08T12:45:41.082324Z] 12:45:41     INFO -    File "/home/worker/workspace/build/src/python/mozbuild/mozbuild/configure/__init__.py", line 344, in run

 [task 2016-11-08T12:45:41.082517Z] 12:45:41     INFO -      self._value_for(option)

 [task 2016-11-08T12:45:41.082664Z] 12:45:41     INFO -    File "/home/worker/workspace/build/src/python/mozbuild/mozbuild/configure/__init__.py", line 409, in _value_for

 [task 2016-11-08T12:45:41.082871Z] 12:45:41     INFO -      return self._value_for_option(obj)

 [task 2016-11-08T12:45:41.083152Z] 12:45:41     INFO -    File "/home/worker/workspace/build/src/python/mozbuild/mozbuild/util.py", line 925, in method_call

 [task 2016-11-08T12:45:41.083406Z] 12:45:41     INFO -      cache[args] = self.func(instance, *args)

 [task 2016-11-08T12:45:41.083575Z] 12:45:41     INFO -    File "/home/worker/workspace/build/src/python/mozbuild/mozbuild/configure/__init__.py", line 475, in _value_for_option

 [task 2016-11-08T12:45:41.083696Z] 12:45:41     INFO -      % option_string.split('=', 1)[0])

[task 2016-11-08T12:45:41.083947Z] 12:45:41 INFO - mozbuild.configure.options.InvalidOptionError: --with-ccache is not available in this configuration
Blocks: 1314678

Comment 2

a year ago
7 failures in 526 pushes (0.013 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* try: 7

Platform breakdown:
* osx-10-7: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1315960&startday=2016-12-12&endday=2016-12-18&tree=all
This is not an intermittent failure.
Keywords: intermittent-failure
Assignee: nobody → cmanchester
This error is one of a few that are preventing these builds from working. I have a stack of patches to fix them, I'll land those in bug 1314678.
Assignee: cmanchester → nobody
No longer blocks: 1314678
Status: NEW → RESOLVED
Last Resolved: 8 months ago
Keywords: bulk-close-intermittents
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.